﻿<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Highcharts</title>
    <script src="JScript/jquery-1.4.2.min.js" type="text/javascript"></script>
    <script src="JScript/Highcharts/highcharts.js" type="text/javascript"></script>
    <script src="JScript/Highcharts/modules/exporting.js" type="text/javascript"></script>
    <script type="text/javascript">
        var chart;
        $(document).ready(function() {
            chart = new Highcharts.Chart({
                chart: {
                    renderTo: 'container',
                    defaultSeriesType: 'bar'
                },
                title: {
                    text: '人员体系分布情况'
                },
                subtitle: {
                    text: 'Source: 下级人员'   //图标的副标题
                },
                xAxis: {
                    categories: <%= xAxisCategories %>,//从后台获取数据
                    tickPixelInterval:0.2,
                    title: {
                        text: null
                    }
                },
                yAxis: {
                    min: 0,
                    title: {
                        text: '人数 (个)',
                        align: 'high'
                    }
                },
                tooltip: {
                    formatter: function() {
                        return ''+
                             this.series.name +': '+ this.y +' 个';
                    }
                },
                plotOptions: {
                   column: {
                            pointPadding: 0.3,
                            borderWidth: 0 
                        },
                    bar: {
                        dataLabels: {
                            enabled: true
                        }
                    }
                },
                legend: {
                    layout: 'horizontal',
                    align: 'center',
                    verticalAlign: 'top',
                    y: 50,
                    borderWidth: 1,
                    backgroundColor: '#FFFFFF',
                    borderColor: '#CCC',
                    shadow: true
                },
                credits: {
                    enabled: false
                },
                series: <%= returnValue %> //此处数据从后台获取
            });
        });
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <div id="container" style="width: 700px; height: <%=containerHeight%>; margin: 0 2em"></div>

    </form>
</body>
</html>
